import { View, Image, Text } from "@tarojs/components";
import "./index.less";

const CategoryList = (props) => {
  const { categoryList } = props; //分类列表引用
  return (
    <View className="category-wrap">
      <View className="category-list">
        {categoryList.map(item => (
          <View key={item.id} className="category-item">
            <Image className="category-icon" src={item.img} mode="aspectFit" />
            <Text className="category-name">{item.name}</Text>
          </View>
        ))}
      </View>
    </View>
  );
};

export default CategoryList; 